Create a comment automation
curl --request POST \
--url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations"
payload = {}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Instagram Comment Automations
Create a comment automation
Pass postId (an Instagram media id) to scope the automation to a single post, or omit it for a global automation that applies to every post.
POST
/
api
/
public
/
instagram
/
accounts
/
{instagramAccountId}
/
automations
Create a comment automation
curl --request POST \
--url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations"
payload = {}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Headers
API key required to authorize the request
Path Parameters
Vambe Instagram account id
Body
application/json
Available options:
private, comment, delete, multiple Maximum string length:
200Maximum string length:
5000Minimum string length:
1Maximum string length:
5000Maximum array length:
20Required string length:
1 - 5000Maximum string length:
5000Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum string length:
5000Maximum array length:
3Required string length:
1 - 20Available options:
ai_condition, keywords Available options:
intelligent, lite Minimum string length:
1Show child attributes
Show child attributes
Response
Automation created.
Was this page helpful?
